[Unit]
Description=ergo
After=network.target mysql.service

[Service]
Type=notify
User=ergo
WorkingDirectory=/var/lib/ergo
ExecStart=/usr/bin/ergo run --conf /etc/ergo/ircd.yaml
ExecReload=/bin/kill -HUP $MAINPID
Restart=on-failure
LimitNOFILE=1048576
NotifyAccess=main
PrivateNetwork=true

[Install]
WantedBy=multi-user.target
